if [ "$__ZSH_CUSTOM_INIT_INCLUDED" = "yes" ]; then
    return 0
fi

__ZSH_CUSTOM_INIT_INCLUDED="yes"

# ====================================================================================================

zstyle ':omz:update' mode reminder  # just remind me to update when it's time

zstyle ':omz:update' frequency 13

plugins=(git)
plugins+=(git-open autojump zsh-autosuggestions zsh-syntax-highlighting sudo)
plugins+=(history encode64 tmux)
plugins+=(dirhistory jsontools)

dependent_plugins() {
    if command -v "$@" >/dev/null 2>&1; then plugins+=("$@"); fi
}

dependent_plugins docker-compose
dependent_plugins fzf
